% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ArrayParameter-proto.R
\name{ArrayParameter-class}
\alias{ArrayParameter-class}
\alias{ArrayParameter}
\title{Array parameter prototype}
\description{
This prototype is used to represent a parameter has multiple values. Each
value is has a label to differentiate values. \strong{Only experts should
interact directly with this prototype.}
}
\section{Fields}{


\describe{

\item{$id}{\code{character} identifier for parameter.}

\item{$name}{\code{character} name of parameter.}

\item{$value}{\code{numeric} vector of values.}

\item{$label}{\code{character} vector of names for each value.}

\item{$default}{\code{numeric} vector of default values.}

\item{$length}{\code{integer} value specifying the number of values.}

\item{$class}{\code{character} value specifying the class of values.}

\item{$lower_limit}{\code{numeric} vector specifying the minimum
permitted values.}

\item{$upper_limit}{\code{numeric} vector specifying the maximum
permitted values.}

}
}

\section{Usage}{


\code{x$print()}

\code{x$show()}

\code{x$repr()}

\code{x$validate(tbl)}

\code{x$get()}

\code{x$set(tbl)}

\code{x$reset()}
}

\section{Arguments}{

\describe{
\item{tbl}{\code{\link[=data.frame]{data.frame()}} containing new parameter values with
row names indicating the labels and a column called "values"
containing the new parameter values.}
}
}

\section{Details}{

\describe{

\item{print}{print the object.}

\item{show}{show the object.}

\item{repr}{\code{character} representation of object.}

\item{validate}{check if a proposed new set of parameters are valid.}

\item{get}{return a \code{\link[base:data.frame]{base::data.frame()}} containing the
parameter values.}

\item{set}{update the parameter values using a
\code{\link[base:data.frame]{base::data.frame()}}.}

\item{reset}{update the parameter values to be the default values.}

}
}

\seealso{
\code{\linkS4class{ScalarParameter}}, \code{\linkS4class{Parameter}}.
}
