% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MiscParameter-proto.R
\name{MiscParameter-class}
\alias{MiscParameter-class}
\alias{MiscParameter}
\title{Miscellaneous parameter prototype}
\description{
This prototype is used to represent a parameter that can be any object.
\strong{Only experts should interact directly with this prototype.}
}
\section{Fields}{

\describe{

\item{$id}{\code{character} identifier for parameter.}

\item{$name}{\code{character} name of parameter.}

\item{$value}{\code{\link[tibble:tibble]{tibble::tibble()}} object.}

\item{$validator}{\code{list} object containing a \code{function} that
is used to validate changes to the parameter.}

}
}

\section{Usage}{


\code{x$print()}

\code{x$show()}

\code{x$validate(x)}

\code{x$get()}

\code{x$set(x)}

\code{x$reset()}
}

\section{Arguments}{


\describe{

\item{x}{object used to set a new parameter value.}

}
}

\section{Details}{

\describe{

\item{print}{print the object.}

\item{show}{show the object.}

\item{validate}{check if a proposed new parameter is valid.}

\item{get}{extract the parameter value.}

\item{set}{update the parameter value.}

\item{reset}{update the parameter value to be the default value.}

}
}

\seealso{
\code{\linkS4class{Parameter}}.
}
